Bump version for 1112

This commit is contained in:
Simon Shi
2018-11-08 23:45:47 +08:00
parent 8b03b141ee
commit 8b86b44775
11 changed files with 205 additions and 3797 deletions

View File

@ -1,6 +1,11 @@
vlmcsd (1111) UNRELEASED; urgency=low
vlmcsd (1112) unstable; urgency=low
* Initial release. Closes: #nnnn
<nnnn is the bug number of your ITP>
* Upstream update
-- Simon Shi <simonsmh@gmail.com> Thu, 08 Nov 2018 22:54:56 +0800
vlmcsd (1111) unstable; urgency=low
* Initial release
-- Simon Shi <simonsmh@gmail.com> Sat, 30 Sep 2017 20:13:26 +0800

11
control
View File

@ -1,6 +1,6 @@
Source: vlmcsd
Section: net
Priority: extra
Priority: optional
Maintainer: Simon Shi <simonsmh@gmail.com>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.8
@ -9,5 +9,12 @@ Homepage: http://wind4.github.io/vlmcsd/
Package: vlmcsd
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KMS Emulator in C
vlmcs is a program that can be used to test a KMS server that provides
activation for several Microsoft products. The KMS server may also be an
emulator. It supports KMS protocol versions 4, 5 and 6. vlmcsd is a fully
Microsoft compatible KMS server that provides product activation services
to clients. It is meant as a drop-in replacement for a Microsoft KMS server
(Windows computer with KMS key entered). It currently supports KMS protocol
versions 4, 5 and 6.

3775
copyright

File diff suppressed because it is too large Load Diff

131
init Normal file
View File

@ -0,0 +1,131 @@
#!/bin/sh
### BEGIN INIT INFO
# Provides: vlmcsd
# Required-Start: $network $local_fs $remote_fs
# Required-Stop: $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: KMS Emulator in C
# Description: KMS Emulator in C
# vlmcs is a program that can be used to test a KMS server.
### END INIT INFO
# Author: Simon Shi <simonsmh@gmail.com>
# PATH should only include /usr/ if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC=mtproxy # Introduce a short description here
NAME=mtproxy # Introduce the short server's name here
DAEMON=/usr/bin/vlmcsd # Introduce the server's location here
DAEMON_ARGS="" # Arguments to run the daemon with
PIDFILE=/var/run/$NAME/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
# Exit if the package is not installed
[ -x $DAEMON ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
[ "$START" = "yes" ] || exit 0
: ${USER:="nobody"}
: ${GROUP:="nogroup"}
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
#
# Function that starts the daemon/service
#
do_start()
{
# Take care of pidfile permissions
mkdir /var/run/$NAME 2>/dev/null || true
chown "$USER:$GROUP" /var/run/$NAME
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --chuid $USER:$GROUP --exec $DAEMON -- \
-i /etc/vlmcsd/vlmcsd.ini -D \
|| return 2
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/5 --pidfile $PIDFILE --exec $DAEMON
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
restart|force-reload)
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:

View File

@ -1,2 +1,4 @@
bin/vlmcs usr/bin
bin/vlmcsd usr/bin
etc/vlmcsd.ini usr/share/vlmcsd
etc/vlmcsd.kmd usr/share/vlmcsd

29
postinst Normal file
View File

@ -0,0 +1,29 @@
#!/bin/sh
set -e
case "$1" in
configure|reconfigure)
if [ ! -d /etc/vlmcsd/ ]; then
mkdir -p /etc/vlmcsd/
fi
if [ ! -f /etc/vlmcsd/vlmcsd.ini ]; then
cp /usr/share/vlmcsd/vlmcsd.ini /etc/vlmcsd/
fi
if [ ! -f /etc/vlmcsd/vlmcsd.kmd ]; then
cp /usr/share/vlmcsd/vlmcsd.kmd /etc/vlmcsd/
fi
;;
abort-upgrade|abort-remove|abort-deconfigure)
exit 0
;;
*)
echo "postinst called with unknown argument \`$1'" >&2
exit 0
;;
esac
#DEBHELPER#
exit 0

20
postrm Normal file
View File

@ -0,0 +1,20 @@
#!/bin/sh
set -e
case "$1" in
purge)
rm -r /etc/vlmcsd
;;
remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
exit 0
;;
*)
echo "postrm called with unknown argument \`$1'" >&2
exit 0
;;
esac
#DEBHELPER#
exit 0

16
rules Normal file → Executable file
View File

@ -1,19 +1,3 @@
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
override_dh_installinit:
dh_installinit
dh_installinit --no-start --name=vlmcsd
%:
dh $@
#override_dh_auto_install:
# dh_auto_install -- prefix=/usr
#override_dh_install:
# dh_install --list-missing -X.pyc -X.pyo

View File

@ -1,3 +1,5 @@
man/vlmcs.1
man/vlmcsd.7
man/vlmcsd.8
man/vlmcsd.ini.5
man/vlmcsdmulti.1

View File

@ -5,7 +5,8 @@ After=network.target
[Service]
Type=simple
User=nobody
ExecStart=/usr/bin/vlmcsd -D -e
Group=nogroup
ExecStart=/usr/bin/vlmcsd -i /etc/vlmcsd/vlmcsd.ini -D
[Install]
WantedBy=multi-user.target

2
watch
View File

@ -1,2 +0,0 @@
# You must remove unused comment lines for the released package.
version=3